clc
clear all

addpath('CDFA', 'sidekick')

%% BOOTSTRAP
load CK+_32x32.mat

npb = 60;        %number of people to be used in bootstrap database
nvb = max(Var);  %maximum number of variation type in the bootstrap database
nsb = 20;        %the size of subspace basis (number of vectors in the basis)

bootstrap

%% TRAINING & TESTING
clear all
load CMUAMP_32x32.mat
load bootstrap.mat

ntp = 13;        %number of people to be used in training/testing database
nvt = max(Var);  %maximum number of variation type in the training/testing database
nti = 2;         %number of gallery image per person

trainingANDtesting