function A = testing(DataBase, Data, ntp, nsb)

A = zeros(size(Data, 1), 1);

%For each image in Data
for t = 1 : size(Data, 1)   
    
    test = Data(t, :);
       
    dist = zeros(ntp, 1);
    %Calculate the distance to each person's manifold in DataBase
    for i = 1 : ntp
        B = DataBase(:,(i-1)*nsb+1:i*nsb);
        temp = (test*B)';
        synt = B * temp;
        dist(i) = norm(synt'-test, 1);
    end
    
    %Assign the label of the nearest identity
    [v,idx] = min(dist);
    A(t) = idx;
end


